# RSL_get_volume

### Synopsis

#include "rsl.h"
Volume *RSL_get_volume(Radar *r, int type_wanted);

###

Description

RSL_get_volume extracts the desired volume from the Radar *r. type_wanted can be one of: DZ_INDEX, VR_INDEX, SW_INDEX, CZ_INDEX, ZT_INDEX, DR_INDEX or LR_INDEX. Only the pointer is copied for the returned value. If you want to optain a seperate copy of the volume, from the Radar *r, for modification purposes, then use RSL_copy_volume. The different indexes are described as follows:

     DZ	Reflectivity (dBZ), may contain some	DZ_INDEX
     	signal-processor level QC and/or
     	filters. This field would contain
     	Darwin's CZ, or WSR88D's standard
     	reflectivity. In other words, unless
     	the field is described otherwise, it
     	should always go here. In essence, this
     	is the "cleanest" reflectivity field
     	for a radar.

     VR 	Radial Velocity (m/s)		VR_INDEX

     SW 	Spectral Width (m2/s2) 		SW_INDEX

     CZ 	QC Reflectivity (dBZ), contains
    	post-processed QC'd data 		CZ_INDEX

     ZT 	Total Reflectivity (dBZ) 		ZT_INDEX
     	May be uncommon, but important

     DR	Differential reflectivity 		DR_INDEX
     	DR and LR are for dual-polarization
     	radars only. Unitless or in dB.

     LR 	Another form of differential ref	LR_INDEX
     	called LDR, not sure of units

This function is a one line C function. Observe the following:

    Radar *radar;
    Volume *v;
    /* The following two lines are identical. */
    v = Vget_volume(radar, DZ_INDEX);
    v = radar->v[DZ_INDEX];

### Return value

Upon successful completion, a pointer to the Volume structure is returned; only the pointer is copyied.

### See also

RSL_get_sweep, RSL_get_ray
RSL_copy_volume, RSL_copy_sweep, RSL_copy_ray
RSL_free_volume, RSL_free_sweep, RSL_free_ray

Author: John H. Merritt